#ifndef VST_WAIT_TRANSFEREX_H
#define VST_WAIT_TRANSFEREX_H

#include "vst_wait_base.h"
#include "vst_work_transfer.h"
class VST_Wait_TransferEx : public VST_Wait_Base
{
public:
    VST_Wait_TransferEx(int iID, const QString& sName, VSM_Thread* pParent);
    void do_Msg(const V_Msg& msg);
    void AddMsgToState(int iTransMsgID,const QString& msgName,bool bfront=false);
};

#endif // VST_WAIT_TRANSFEREX_H
